Subject: 24.0.50.1: non-ascii chars appear as numbers

From: Andreas Röhler <[email-masked]>
Date: Thu, 02 Sep 2010 12:15:34 +0200

Hi,

encounter an encoding bug, which I've seen years
ago and reported already, but didn't occur with Emacs
23:

when opening a file containing non-ascii chars, german
umlauts etc., these aren't shown as glyphs but
as numbers.

(define-abbrev-table
   'global-abbrev-table
   '(("Infinity" "∞" nil 0)
     ("alpha" "α" nil 2)
     ("beta" "β" nil 1)
     ("gamma" "γ" nil 1)
     ("theta" "θ" nil 0)))

I see  ("alpha" "\316\261" nil 2)

for example.

May send a screenshot if useful.

Curious: if the chars-as-numbers code is pasted here in this mail,
glyphs are displayed correctly.

As the only thing I remember is editing the file with

GNU Emacs 24.0.50.1 (i686-pc-linux-gnu, GTK+ Version 2.12.0) of 2010-08-28

assume the bug comes from there.

Sorry, not being able to truck down further the issue.

Andreas

--
https://code.launchpad.net/~a-roehler/python-mode
https://code.launchpad.net/s-x-emacs-werkstatt/